Subject: Re: bug#33126: 26.1; xpm2 broken in MacOSX

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Oct 2018 18:06:13 +0300

> Date: Wed, 24 Oct 2018 12:17:36 +0100
> From: Alan Third <[email-masked]>
> Cc: [email-masked]
> 
> Confirmed. I found this in image.c:
> 
> /* XPM support functions for NS where libxpm is not available.
>    Only XPM version 3 (without any extensions) is supported.  */
> 
> I suppose to get xpm2 support you’ll have to find a version of libxpm
> somewhere.
> 
> There is an error logged in *Messages*, perhaps it should specify XPM3
> per the attached patch.

Yes.  In addition, I'd add an entry about this in PROBLEMS.

Thanks.